summaryrefslogtreecommitdiffstats
path: root/libraries/wxGTK/wxGTK.SlackBuild
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-04-08 22:24:38 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:26:56 +0200
commit9191a0182da794e46dd484b2f1161247c38bace0 (patch)
tree6913e7f7b496f206f1514c5740b6adbab52f72a7 /libraries/wxGTK/wxGTK.SlackBuild
parent22f98c0cea108490e9eec406a84de64b7b6ad5ad (diff)
downloadslackbuilds-9191a0182da794e46dd484b2f1161247c38bace0.tar.gz
slackbuilds-9191a0182da794e46dd484b2f1161247c38bace0.tar.xz
libraries/wxGTK: Updated for version 2.8.10.
Diffstat (limited to 'libraries/wxGTK/wxGTK.SlackBuild')
-rw-r--r--libraries/wxGTK/wxGTK.SlackBuild24
1 files changed, 18 insertions, 6 deletions
diff --git a/libraries/wxGTK/wxGTK.SlackBuild b/libraries/wxGTK/wxGTK.SlackBuild
index 297cda91da..6e3ead0ea4 100644
--- a/libraries/wxGTK/wxGTK.SlackBuild
+++ b/libraries/wxGTK/wxGTK.SlackBuild
@@ -24,12 +24,13 @@
# Lots of key help from Eric Hameleers and the SBo admins.
-# Modified by the SlackBuilds.org project
+# Versions >= 2.8.10 by Niels Horn <niels.horn@gmail.com>
+# revision date: 2010/03/27
PRGNAM=wxGTK
-VERSION=2.8.9
+VERSION=2.8.10
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -44,12 +45,19 @@ UNICODE=${UNICODE:-YES}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
+ ARCHQUADLET=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
+ ARCHQUADLET=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+ ARCHQUADLET=""
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv4t"
+ LIBDIRSUFFIX=""
+ ARCHQUADLET="-gnueabi"
fi
rm -rf $PKG
@@ -65,6 +73,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Apply patch for newer gtk2 versions
+patch -p1 < $CWD/newgtk.patch
+
# Set unicode flag as desired by UNICODE variable
if [ "$UNICODE" = "YES" ]; then
_do_unicode="en"
@@ -81,6 +92,7 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-shared \
--with-opengl \
--${_do_unicode}able-unicode \
+ --build=$ARCH-slackware-linux$ARCHQUADLET \
|| exit 1
make || exit 1
@@ -90,18 +102,18 @@ make install DESTDIR=$PKG || exit 1
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
# Now let's fix the broken symlink created by the package
-cd $PKG/usr/bin
+( cd $PKG/usr/bin
rm wx-config
if [ "$UNICODE" = "YES" ]; then
ln -s /usr/lib${LIBDIRSUFFIX}/wx/config/gtk2-unicode-release-2.8 wx-config
elif [ "$UNICODE" = "NO" ]; then
ln -s /usr/lib${LIBDIRSUFFIX}/wx/config/gtk2-ansi-release-2.8 wx-config
fi
-cd -
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION